Last Comment Bug 474693 - cursor (pointer) over scrollcorner is the wrong one (ugly nwse-resize instead of good se-resize)
: cursor (pointer) over scrollcorner is the wrong one (ugly nwse-resize instead...
Status: RESOLVED FIXED
: fixed1.9.1
Product: Toolkit
Classification: Components
Component: Themes (show other bugs)
: Trunk
: All Linux
: -- normal (vote)
: mozilla1.9.2a1
Assigned To: :Ehsan Akhgari (out sick)
:
Mentors:
Depends on:
Blocks: 240536
  Show dependency treegraph
 
Reported: 2009-01-21 14:52 PST by David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch)
Modified: 2013-04-18 19:48 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (v1) (1.57 KB, patch)
2009-01-22 00:37 PST, :Ehsan Akhgari (out sick)
dao+bmo: review+
mbeltzner: approval1.9.1+
Details | Diff | Review
screencast of bug on Linux (125.70 KB, video/ogg)
2009-01-22 14:19 PST, Daniel Holbert [:dholbert]
no flags Details
1.9.1 branch patch (857 bytes, patch)
2009-03-26 04:06 PDT, :Ehsan Akhgari (out sick)
no flags Details | Diff | Review

Description David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-01-21 14:52:44 PST
The mouse pointer over the scrollcorner in the main Firefox window is the wrong one; it no longer matches the mouse pointer that you get if you move the mouse a few pixels further onto the actual window frame.

Steps to reproduce:
 1. load Firefox
 2. move the mouse to the lower-right edge of the bar at the bottom of the window where there are a bunch of dots indicating something you can grab to resize
 3. look at the mouse cursor
 4. move the mouse a few pixels down and to the right, so that it's over the actual window frame
 5. look at the mouse cursor again

Expected results:
 3. mouse cursor is the standard window resize cursor for resizing at the bottom right corner
 5. mouse cursor is the standard window resize cursor for resizing at the bottom right corner

Actual results:
 3. mouse cursor is a bizarre looking cursor indicating ability to drag something diagonally to the upper left or the lower right
 5. mouse cursor is the standard window resize cursor for resizing at the bottom right corner (as expected)

This regressed between x86_64 Linux nightlies 2009-01-18-01-mozilla-central and 2009-01-19-02-mozilla-central, which gives a regression range of:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=04a8a61b9999&tochange=afec2ee5b993

When I look at the area showing the bad cursor in DOM Inspector, I see that it's a xul:resizer element and a style rule in chrome://global/skin/resizer.css is giving it a 'cursor: nwse-resize'.

In the good build, it was getting a resizer[dir='bottomright'] { cursor: se-resize; } from chrome://global/skin/global.css .

Since I see that the patch in bug 240536 removed the rule that caused the good display and added the one that causes the bad display, I'm pretty confident that that patch is responsible.


I suspect this should be relatively simple to fix:  just remember that nwse-resize is not the same on all platforms as se-resize and nw-resize, and go back to using the more specific ones.
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-01-21 15:01:38 PST
(In reply to comment #0)
> I suspect this should be relatively simple to fix:  just remember that
> nwse-resize is not the same on all platforms as se-resize and nw-resize, and go
> back to using the more specific ones.

In particular:
 * on Windows, the platform provides only nwse-resize, etc., so we use those for nw-resize, se-resize, etc.
 * on GTK, the platform only provides nw-resize, se-resize, etc., so we actually make up our own nwse-resize that doesn't come from the platform and which therefore doesn't fit in with the cursor theme
 * on Mac, we make up all the diagonal ones ourselves, but the platform provides distinct n-resize, s-resize, and ns-resize cursors.
Comment 2 :Ehsan Akhgari (out sick) 2009-01-22 00:37:46 PST
Created attachment 358148 [details] [diff] [review]
Patch (v1)

Separate the cursor rules based on exact direction of the resizer.
Comment 3 Daniel Holbert [:dholbert] 2009-01-22 14:19:03 PST
Created attachment 358278 [details]
screencast of bug on Linux

I just ran across this issue on my machine (and I was about to file a new bug, until I found this one already filed with a patch already posted -- nice! :) ).

Here's a quick ogg-video clip of it happening on Linux, FWIW.
Comment 4 :Ehsan Akhgari (out sick) 2009-01-25 07:29:41 PST
Comment on attachment 358148 [details] [diff] [review]
Patch (v1)

Dao: perhaps you can review this faster?  Thanks!
Comment 5 :Ehsan Akhgari (out sick) 2009-01-30 00:18:27 PST
http://hg.mozilla.org/mozilla-central/rev/8c2b629e1bb8
Comment 6 :Ehsan Akhgari (out sick) 2009-01-31 04:26:32 PST
Comment on attachment 358148 [details] [diff] [review]
Patch (v1)

Theme-only low-risk change which we need to take if bug 240536 is approved for the 1.9.1 branch.
Comment 7 Mike Beltzner [:beltzner, not reading bugmail] 2009-03-25 10:44:56 PDT
Comment on attachment 358148 [details] [diff] [review]
Patch (v1)

a191=beltzner
Comment 8 :Ehsan Akhgari (out sick) 2009-03-26 04:06:21 PDT
Created attachment 369481 [details] [diff] [review]
1.9.1 branch patch

1.9.1 patch based on the new patch in bug 240536.
Comment 9 :Ehsan Akhgari (out sick) 2009-04-03 00:49:24 PDT
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/0c9cb75bc9ba

Note You need to log in before you can comment on or make changes to this bug.